<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetOptionType StructType
 * @subpackage Structs
 */
class GetOptionType extends AbstractStructBase
{
    /**
     * The _
     * @var string
     */
    public $_;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * - use: optional
     * @var string
     */
    public $uuid;
    /**
     * The altDisplay
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * - use: optional
     * @var string
     */
    public $altDisplay;
    /**
     * Constructor method for GetOptionType
     * @uses GetOptionType::set_()
     * @uses GetOptionType::setUuid()
     * @uses GetOptionType::setAltDisplay()
     * @param string $_
     * @param string $uuid
     * @param string $altDisplay
     */
    public function __construct($_ = null, $uuid = null, $altDisplay = null)
    {
        $this
            ->set_($_)
            ->setUuid($uuid)
            ->setAltDisplay($altDisplay);
    }
    /**
     * Get _ value
     * @return string|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param string $_
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetOptionType
     */
    public function set_($_ = null)
    {
        $this->_ = $_;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetOptionType
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get altDisplay value
     * @return string|null
     */
    public function getAltDisplay()
    {
        return $this->altDisplay;
    }
    /**
     * Set altDisplay value
     * @param string $altDisplay
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetOptionType
     */
    public function setAltDisplay($altDisplay = null)
    {
        $this->altDisplay = $altDisplay;
        return $this;
    }
}
